summaryrefslogtreecommitdiffstats
path: root/libraries/haskell-packedstring
diff options
context:
space:
mode:
author Mikko Varri2010-05-13 00:58:39 +0200
committer Robby Workman2010-05-13 00:58:39 +0200
commit3f4c05defad137a61e9175b63bd3be41fe38fcca (patch)
tree379c7e6c2ceba0d59cf06c4f46c2e9814ed2fa9a /libraries/haskell-packedstring
parent6c67f689032e2bc54d8839abc99d425cfc53078a (diff)
downloadslackbuilds-3f4c05defad137a61e9175b63bd3be41fe38fcca.tar.gz
libraries/haskell-packedstring: Added to 13.0 repository
Diffstat (limited to 'libraries/haskell-packedstring')
-rw-r--r--libraries/haskell-packedstring/README8
-rw-r--r--libraries/haskell-packedstring/doinst.sh3
-rw-r--r--libraries/haskell-packedstring/haskell-packedstring.SlackBuild80
-rw-r--r--libraries/haskell-packedstring/haskell-packedstring.info10
-rw-r--r--libraries/haskell-packedstring/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/libraries/haskell-packedstring/README b/libraries/haskell-packedstring/README
new file mode 100644
index 0000000000..a957cebe81
--- /dev/null
+++ b/libraries/haskell-packedstring/README
@@ -0,0 +1,8 @@
+haskell-packedstring (Packed Strings for Haskell)
+
+This library is deprecated and should not be used in new code.
+
+This requires ghc.
+
+When uninstalling, run this command to unregister the package from the ghc
+package database: ghc-pkg unregister packedstring
diff --git a/libraries/haskell-packedstring/doinst.sh b/libraries/haskell-packedstring/doinst.sh
new file mode 100644
index 0000000000..4038a8fd5c
--- /dev/null
+++ b/libraries/haskell-packedstring/doinst.sh
@@ -0,0 +1,3 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
diff --git a/libraries/haskell-packedstring/haskell-packedstring.SlackBuild b/libraries/haskell-packedstring/haskell-packedstring.SlackBuild
new file mode 100644
index 0000000000..a9ee4fc717
--- /dev/null
+++ b/libraries/haskell-packedstring/haskell-packedstring.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for haskell-packedstring
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-packedstring
+VERSION=${VERSION:-0.1.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=packedstring
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --enable-shared \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$TARNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv $TMP/$TARNAM-$VERSION/register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/haskell-packedstring/haskell-packedstring.info b/libraries/haskell-packedstring/haskell-packedstring.info
new file mode 100644
index 0000000000..6ec4e5c6db
--- /dev/null
+++ b/libraries/haskell-packedstring/haskell-packedstring.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-packedstring"
+VERSION="0.1.0.1"
+HOMEPAGE="http://hackage.haskell.org/package/packedstring"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/packedstring/0.1.0.1/packedstring-0.1.0.1.tar.gz"
+MD5SUM="ea0bdcb92f4c5bd78ac8bb7a654fcfb2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/haskell-packedstring/slack-desc b/libraries/haskell-packedstring/slack-desc
new file mode 100644
index 0000000000..386013bd36
--- /dev/null
+++ b/libraries/haskell-packedstring/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-packedstring: haskell-packedstring (Packed Strings for Haskell)
+haskell-packedstring:
+haskell-packedstring: This library is deprecated and should not be used in new code.
+haskell-packedstring:
+haskell-packedstring: http://hackage.haskell.org/package/packedstring
+haskell-packedstring:
+haskell-packedstring:
+haskell-packedstring:
+haskell-packedstring:
+haskell-packedstring:
+haskell-packedstring: